package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantOrderSplitRefund implements Serializable {
    private Integer id;

    private String ordernumber;

    private String mercorderno;

    private Integer status;

    private BigDecimal orderamt;

    private Date ordertime;

    private String refundno;

    private String mercrefundno;

    private Date refundtime;

    private String notifyurl;

    private BigDecimal refundamt;

    private String refundreason;

    private String remark;

    private String channelrefundstate;

    private String channelfundsstate;

    private String channelfundsdesc;

    private String channelrefundno;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getMercorderno() {
        return mercorderno;
    }

    public void setMercorderno(String mercorderno) {
        this.mercorderno = mercorderno == null ? null : mercorderno.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getOrderamt() {
        return orderamt;
    }

    public void setOrderamt(BigDecimal orderamt) {
        this.orderamt = orderamt;
    }

    public Date getOrdertime() {
        return ordertime;
    }

    public void setOrdertime(Date ordertime) {
        this.ordertime = ordertime;
    }

    public String getRefundno() {
        return refundno;
    }

    public void setRefundno(String refundno) {
        this.refundno = refundno == null ? null : refundno.trim();
    }

    public String getMercrefundno() {
        return mercrefundno;
    }

    public void setMercrefundno(String mercrefundno) {
        this.mercrefundno = mercrefundno == null ? null : mercrefundno.trim();
    }

    public Date getRefundtime() {
        return refundtime;
    }

    public void setRefundtime(Date refundtime) {
        this.refundtime = refundtime;
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl == null ? null : notifyurl.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getRefundreason() {
        return refundreason;
    }

    public void setRefundreason(String refundreason) {
        this.refundreason = refundreason == null ? null : refundreason.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getChannelrefundstate() {
        return channelrefundstate;
    }

    public void setChannelrefundstate(String channelrefundstate) {
        this.channelrefundstate = channelrefundstate == null ? null : channelrefundstate.trim();
    }

    public String getChannelfundsstate() {
        return channelfundsstate;
    }

    public void setChannelfundsstate(String channelfundsstate) {
        this.channelfundsstate = channelfundsstate == null ? null : channelfundsstate.trim();
    }

    public String getChannelfundsdesc() {
        return channelfundsdesc;
    }

    public void setChannelfundsdesc(String channelfundsdesc) {
        this.channelfundsdesc = channelfundsdesc == null ? null : channelfundsdesc.trim();
    }

    public String getChannelrefundno() {
        return channelrefundno;
    }

    public void setChannelrefundno(String channelrefundno) {
        this.channelrefundno = channelrefundno == null ? null : channelrefundno.trim();
    }
}